Subject: bug#17831: 24.4.50; bad default value for `Man-width'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jun 2014 18:46:37 +0300

> Date: Tue, 24 Jun 2014 09:13:54 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked], Leo Liu <[email-masked]>
> 
> To fix this we could either use some sort of maximimum width (for me
> more than 80 columns are not very readable anyway) and propose an
> adequate display buffer action or implement simple heuristics to detect
> how large the window used by `display-buffer' would be and fill the
> buffer in some adequate manner.

None of this will ever work 100% reliably in the "M-x man" case,
because while the command runs in the background, the user could
change the window and frame configuration at will.

> Alternatively, we could display the buffer first, look at what size we
> get, fill the buffer, and possibly resize the window afterwards.  For
> `with-temp-buffer-window' this means that we would have to fill the
> buffer either via `temp-buffer-window-show-hook' or in QUIT-FUNCTION.

But this will momentarily flash incorrect (e.g., empty) display,
right?  Not nice, IMO.